public inbox for gcc-bugs@sourceware.org
help / color / mirror / Atom feed
* [Bug ada/20548] New: ACATS c52103x segfault at runtime on x86_64
@ 2005-03-19  8:03 laurent at guerby dot net
  2005-03-19 14:43 ` [Bug ada/20548] [4.1 Regression] " pinskia at gcc dot gnu dot org
                   ` (14 more replies)
  0 siblings, 15 replies; 16+ messages in thread
From: laurent at guerby dot net @ 2005-03-19  8:03 UTC (permalink / raw)
  To: gcc-bugs

It works on x86, on x86_64 it started failing on mainline between
LAST_UPDATED: Thu Mar 17 23:01:51 UTC 2005
LAST_UPDATED: Fri Mar 18 18:13:38 UTC 2005

,.,. C52103X ACATS 2.5 05-03-18 21:10:49
---- C52103X CHECK THAT IN ARRAY ASSIGNMENTS AND IN SLICE ASSIGNMENTS,
                THE LENGTHS MUST MATCH; ALSO CHECK WHETHER
                CONSTRAINT_ERROR OR STORAGE_ERROR ARE RAISED FOR LARGE
                ARRAYS.
   - C52103X NO CONSTRAINT_ERROR FOR TYPE WITH 'LENGTH = INTEGER'LAST + 
                3.
   - C52103X NO STORAGE_ERROR OR CONSTRAINT_ERROR RAISED WHEN ALLOCATING
                TWO BIG BOOLEAN ARRAYS.
/home/guerby/work/gcc/version-head/gcc/testsuite/ada/acats/run_all.sh: line 15:
 9036 Segmentation fault      $*

-- 
           Summary: ACATS c52103x segfault at runtime on x86_64
           Product: gcc
           Version: 4.1.0
            Status: UNCONFIRMED
          Keywords: wrong-code
          Severity: normal
          Priority: P2
         Component: ada
        AssignedTo: unassigned at gcc dot gnu dot org
        ReportedBy: laurent at guerby dot net
                CC: gcc-bugs at gcc dot gnu dot org


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20548


^ permalink raw reply	[flat|nested] 16+ messages in thread

* [Bug ada/20548] [4.1 Regression] ACATS c52103x segfault at runtime on x86_64
  2005-03-19  8:03 [Bug ada/20548] New: ACATS c52103x segfault at runtime on x86_64 laurent at guerby dot net
@ 2005-03-19 14:43 ` pinskia at gcc dot gnu dot org
  2005-03-19 14:59 ` laurent at guerby dot net
                   ` (13 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: pinskia at gcc dot gnu dot org @ 2005-03-19 14:43 UTC (permalink / raw)
  To: gcc-bugs


------- Additional Comments From pinskia at gcc dot gnu dot org  2005-03-19 14:43 -------
The following patches might be the cause:
+2005-03-18  Jan Hubicka  <jh@suse.cz>
+
+       PR middle-end/20225
+       * cgraph.c (cgraph_mark_reachable_node): Assert that it is not called
+       too late.
+       * varasm.c (find_decl_and_mark_needed): Mark needed only when not
+       called too late.
+
+2005-03-18  Kazu Hirata  <kazu@cs.umass.edu>
+
+       * tree-into-ssa.c (find_idf): Use VEC_quick_push instead of
+       VEC_safe_push.
+
+2005-03-18  Paolo Bonzini  <bonzini@gnu.org>
+
+       * combine.c (gen_binary): Remove.
+       (known_cond, simplify_shift_const, find_split_point,
+       combine_simplify_rtx, simplify_if_then_else, simplify_set,
+       simplify_logical, expand_field_assignment, extract_left_shift,
+       force_to_mode, if_then_else_cond, apply_distributive_law,
+       simplify_and_const_int, simplify_shift_const, gen_lowpart_for_combine,
+       simplify_comparison, reversed_comparison): Replace with
+       simplify_gen_binary, simplify_gen_relational or
+       distribute_and_simplify_rtx.
+       (distribute_and_simplify_rtx): New function.
+


+
+       * tree-cfg.c (fold_cond_expr_cond): Use boolean types for condition.
+
+       * cgraph.c (cgraph_remove_node): Avoid loop in code deciding whether 
+       function body should be released; do not proactively release function
+       bodies in non-unit-at-a-time mode.
+

+2005-03-18  Kazu Hirata  <kazu@cs.umass.edu>
+
+       * builtins.c (fold_builtin_bitop): Take decomposed arguments
+       of CALL_EXPR.
+       (fold_builtin_1): Update a call to fold_builtin_bitop.
+
+       * builtins.c (fold_builtin_signbit): Take decomposed arguments
+       of CALL_EXPR.
+       (fold_builtin_1): Update a call to fold_builtin_signbit.
+


Do you know if this happens on the 4.0 branch also, if it does not it removes the patch for "PR middle-
end/20225", otherwise that is the patch which caused it as no other patch went in both branches?

I almost this is caused by a copy and pasto with the combine patch.

-- 
           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |pinskia at gcc dot gnu dot
                   |                            |org
            Summary|ACATS c52103x segfault at   |[4.1 Regression] ACATS
                   |runtime on x86_64           |c52103x segfault at runtime
                   |                            |on x86_64
   Target Milestone|---                         |4.1.0


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20548


^ permalink raw reply	[flat|nested] 16+ messages in thread

* [Bug ada/20548] [4.1 Regression] ACATS c52103x segfault at runtime on x86_64
  2005-03-19  8:03 [Bug ada/20548] New: ACATS c52103x segfault at runtime on x86_64 laurent at guerby dot net
  2005-03-19 14:43 ` [Bug ada/20548] [4.1 Regression] " pinskia at gcc dot gnu dot org
@ 2005-03-19 14:59 ` laurent at guerby dot net
  2005-03-19 15:38 ` ebotcazou at gcc dot gnu dot org
                   ` (12 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: laurent at guerby dot net @ 2005-03-19 14:59 UTC (permalink / raw)
  To: gcc-bugs


------- Additional Comments From laurent at guerby dot net  2005-03-19 14:59 -------
I haven't tested x86_64 on current 4.0, will try this weekend.

-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20548


^ permalink raw reply	[flat|nested] 16+ messages in thread

* [Bug ada/20548] [4.1 Regression] ACATS c52103x segfault at runtime on x86_64
  2005-03-19  8:03 [Bug ada/20548] New: ACATS c52103x segfault at runtime on x86_64 laurent at guerby dot net
  2005-03-19 14:43 ` [Bug ada/20548] [4.1 Regression] " pinskia at gcc dot gnu dot org
  2005-03-19 14:59 ` laurent at guerby dot net
@ 2005-03-19 15:38 ` ebotcazou at gcc dot gnu dot org
  2005-03-19 22:39 ` laurent at guerby dot net
                   ` (11 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: ebotcazou at gcc dot gnu dot org @ 2005-03-19 15:38 UTC (permalink / raw)
  To: gcc-bugs


------- Additional Comments From ebotcazou at gcc dot gnu dot org  2005-03-19 15:38 -------
Uncovered by a front-end change.  Not sure it can work on 64-bit machines now.


-- 
           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |ebotcazou at gcc dot gnu dot
                   |                            |org
             Status|UNCONFIRMED                 |NEW
     Ever Confirmed|                            |1
   Last reconfirmed|0000-00-00 00:00:00         |2005-03-19 15:38:24
               date|                            |


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20548


^ permalink raw reply	[flat|nested] 16+ messages in thread

* [Bug ada/20548] [4.1 Regression] ACATS c52103x segfault at runtime on x86_64
  2005-03-19  8:03 [Bug ada/20548] New: ACATS c52103x segfault at runtime on x86_64 laurent at guerby dot net
                   ` (2 preceding siblings ...)
  2005-03-19 15:38 ` ebotcazou at gcc dot gnu dot org
@ 2005-03-19 22:39 ` laurent at guerby dot net
  2005-04-04 19:13 ` laurent at guerby dot net
                   ` (10 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: laurent at guerby dot net @ 2005-03-19 22:39 UTC (permalink / raw)
  To: gcc-bugs


------- Additional Comments From laurent at guerby dot net  2005-03-19 22:38 -------
The bug is 4.1 only, it works on 4.0, consistent with front end problem.

-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20548


^ permalink raw reply	[flat|nested] 16+ messages in thread

* [Bug ada/20548] [4.1 Regression] ACATS c52103x segfault at runtime on x86_64
  2005-03-19  8:03 [Bug ada/20548] New: ACATS c52103x segfault at runtime on x86_64 laurent at guerby dot net
                   ` (3 preceding siblings ...)
  2005-03-19 22:39 ` laurent at guerby dot net
@ 2005-04-04 19:13 ` laurent at guerby dot net
  2005-04-08 10:58 ` laurent at guerby dot net
                   ` (9 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: laurent at guerby dot net @ 2005-04-04 19:13 UTC (permalink / raw)
  To: gcc-bugs


------- Additional Comments From laurent at guerby dot net  2005-04-04 19:13 -------
Same failure on 4.1.0 20050404 (experimental) (hppa-unknown-linux-gnu)
seen by J. David Anglin

-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20548


^ permalink raw reply	[flat|nested] 16+ messages in thread

* [Bug ada/20548] [4.1 Regression] ACATS c52103x segfault at runtime on x86_64
  2005-03-19  8:03 [Bug ada/20548] New: ACATS c52103x segfault at runtime on x86_64 laurent at guerby dot net
                   ` (4 preceding siblings ...)
  2005-04-04 19:13 ` laurent at guerby dot net
@ 2005-04-08 10:58 ` laurent at guerby dot net
  2005-06-11 23:10 ` laurent at guerby dot net
                   ` (8 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: laurent at guerby dot net @ 2005-04-08 10:58 UTC (permalink / raw)
  To: gcc-bugs


------- Additional Comments From laurent at guerby dot net  2005-04-08 10:58 -------
Same failure on 4.1.0 20050405 (experimental) powerpc64-suse-linux-gnu

http://gcc.gnu.org/ml/gcc-testresults/2005-04/msg00414.html

-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20548


^ permalink raw reply	[flat|nested] 16+ messages in thread

* [Bug ada/20548] [4.1 Regression] ACATS c52103x segfault at runtime on x86_64
  2005-03-19  8:03 [Bug ada/20548] New: ACATS c52103x segfault at runtime on x86_64 laurent at guerby dot net
                   ` (5 preceding siblings ...)
  2005-04-08 10:58 ` laurent at guerby dot net
@ 2005-06-11 23:10 ` laurent at guerby dot net
  2005-07-09 23:40 ` pinskia at gcc dot gnu dot org
                   ` (7 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: laurent at guerby dot net @ 2005-06-11 23:10 UTC (permalink / raw)
  To: gcc-bugs


------- Additional Comments From laurent at guerby dot net  2005-06-11 23:10 -------
Still there on 4.1 20050611 x86_64.

-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20548


^ permalink raw reply	[flat|nested] 16+ messages in thread

* [Bug ada/20548] [4.1 Regression] ACATS c52103x segfault at runtime on x86_64
  2005-03-19  8:03 [Bug ada/20548] New: ACATS c52103x segfault at runtime on x86_64 laurent at guerby dot net
                   ` (6 preceding siblings ...)
  2005-06-11 23:10 ` laurent at guerby dot net
@ 2005-07-09 23:40 ` pinskia at gcc dot gnu dot org
  2005-08-25 19:01 ` laurent at guerby dot net
                   ` (6 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: pinskia at gcc dot gnu dot org @ 2005-07-09 23:40 UTC (permalink / raw)
  To: gcc-bugs


------- Additional Comments From pinskia at gcc dot gnu dot org  2005-07-09 23:31 -------
Fails on powerpc-darwin also on the mainline now.

-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20548


^ permalink raw reply	[flat|nested] 16+ messages in thread

* [Bug ada/20548] [4.1 Regression] ACATS c52103x segfault at runtime on x86_64
  2005-03-19  8:03 [Bug ada/20548] New: ACATS c52103x segfault at runtime on x86_64 laurent at guerby dot net
                   ` (7 preceding siblings ...)
  2005-07-09 23:40 ` pinskia at gcc dot gnu dot org
@ 2005-08-25 19:01 ` laurent at guerby dot net
  2005-08-29 13:40 ` ebotcazou at gcc dot gnu dot org
                   ` (5 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: laurent at guerby dot net @ 2005-08-25 19:01 UTC (permalink / raw)
  To: gcc-bugs


------- Additional Comments From laurent at guerby dot net  2005-08-25 18:09 -------
As of LAST_UPDATED: Thu Aug 25 10:17:37 UTC 2005
this test now pass on x86_64-linux.

Could people test on hppa and powerpc?

(I removed the target milestone since Ada is not release critical anyway)



-- 
           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|NEW                         |WAITING
   Target Milestone|4.1.0                       |---


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20548


^ permalink raw reply	[flat|nested] 16+ messages in thread

* [Bug ada/20548] [4.1 Regression] ACATS c52103x segfault at runtime on x86_64
  2005-03-19  8:03 [Bug ada/20548] New: ACATS c52103x segfault at runtime on x86_64 laurent at guerby dot net
                   ` (8 preceding siblings ...)
  2005-08-25 19:01 ` laurent at guerby dot net
@ 2005-08-29 13:40 ` ebotcazou at gcc dot gnu dot org
  2005-09-05 17:54 ` [Bug ada/20548] [4.1 Regression] ACATS c52103x c52104x c52104y " laurent at guerby dot net
                   ` (4 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: ebotcazou at gcc dot gnu dot org @ 2005-08-29 13:40 UTC (permalink / raw)
  To: gcc-bugs


------- Additional Comments From ebotcazou at gcc dot gnu dot org  2005-08-29 13:38 -------
This test will very likely be affected by a yet-to-be-merged front-end change. 
Therefore back to normal state.

-- 
           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|WAITING                     |NEW
   Last reconfirmed|2005-03-19 15:38:24         |2005-08-29 13:38:50
               date|                            |


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20548


^ permalink raw reply	[flat|nested] 16+ messages in thread

* [Bug ada/20548] [4.1 Regression] ACATS c52103x c52104x c52104y segfault at runtime on x86_64
  2005-03-19  8:03 [Bug ada/20548] New: ACATS c52103x segfault at runtime on x86_64 laurent at guerby dot net
                   ` (9 preceding siblings ...)
  2005-08-29 13:40 ` ebotcazou at gcc dot gnu dot org
@ 2005-09-05 17:54 ` laurent at guerby dot net
  2005-09-05 18:04 ` ebotcazou at gcc dot gnu dot org
                   ` (3 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: laurent at guerby dot net @ 2005-09-05 17:54 UTC (permalink / raw)
  To: gcc-bugs


------- Additional Comments From laurent at guerby dot net  2005-09-05 17:54 -------
As of
LAST_UPDATED: Mon Sep  5 10:34:13 UTC 2005

The c52103x is now failing again (after the big commit), and c52104x c52104y now
fail in mostly the same way whereas the never failed before:

,.,. C52104X ACATS 2.5 05-09-05 14:26:05
---- C52104X CHECK THAT IN ARRAY ASSIGNMENTS AND IN SLICE ASSIGNMENTS,
                THE LENGTHS MUST MATCH; ALSO CHECK WHETHER
                CONSTRAINT_ERROR OR STORAGE_ERROR ARE RAISED FOR LARGE
                ARRAYS.
   - C52104X NO CONSTRAINT_ERROR FOR TYPE WITH 'LENGTH = INTEGER'LAST + 
                3.
/home/guerby/work/gcc/version-head/gcc/testsuite/ada/acats/run_all.sh: line 15:
 3394 Segmentation fault      $*

,.,. C52104Y ACATS 2.5 05-09-05 14:26:05
---- C52104Y CHECK THAT IN ARRAY ASSIGNMENTS AND IN SLICE ASSIGNMENTS,
                THE LENGTHS MUST MATCH.
   - C52104Y NO CONSTRAINT_ERROR FOR NON-NULL ARRAY SUBTYPE WHEN ONE
                DIMENSION HAS INTEGER'LAST + 3 COMPONENTS.
/home/guerby/work/gcc/version-head/gcc/testsuite/ada/acats/run_all.sh: line 15:
 3427 Segmentation fault      $*



-- 
           What    |Removed                     |Added
----------------------------------------------------------------------------
            Summary|[4.1 Regression] ACATS      |[4.1 Regression] ACATS
                   |c52103x segfault at runtime |c52103x c52104x c52104y
                   |on x86_64                   |segfault at runtime on
                   |                            |x86_64


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20548


^ permalink raw reply	[flat|nested] 16+ messages in thread

* [Bug ada/20548] [4.1 Regression] ACATS c52103x c52104x c52104y segfault at runtime on x86_64
  2005-03-19  8:03 [Bug ada/20548] New: ACATS c52103x segfault at runtime on x86_64 laurent at guerby dot net
                   ` (10 preceding siblings ...)
  2005-09-05 17:54 ` [Bug ada/20548] [4.1 Regression] ACATS c52103x c52104x c52104y " laurent at guerby dot net
@ 2005-09-05 18:04 ` ebotcazou at gcc dot gnu dot org
  2005-09-05 19:10 ` laurent at guerby dot net
                   ` (2 subsequent siblings)
  14 siblings, 0 replies; 16+ messages in thread
From: ebotcazou at gcc dot gnu dot org @ 2005-09-05 18:04 UTC (permalink / raw)
  To: gcc-bugs


------- Additional Comments From ebotcazou at gcc dot gnu dot org  2005-09-05 18:04 -------
> The c52103x is now failing again (after the big commit), and c52104x c52104y 
> now fail in mostly the same way whereas the never failed before:

It's actually a progress, the compiler was silently generating wrong code for
c52104x on all platforms, but that was not visible on Linux for some reasons.

All these tests now require -fstack-check to pass.

-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20548


^ permalink raw reply	[flat|nested] 16+ messages in thread

* [Bug ada/20548] [4.1 Regression] ACATS c52103x c52104x c52104y segfault at runtime on x86_64
  2005-03-19  8:03 [Bug ada/20548] New: ACATS c52103x segfault at runtime on x86_64 laurent at guerby dot net
                   ` (11 preceding siblings ...)
  2005-09-05 18:04 ` ebotcazou at gcc dot gnu dot org
@ 2005-09-05 19:10 ` laurent at guerby dot net
  2005-09-05 22:21 ` laurent at guerby dot net
  2005-09-06  6:16 ` ebotcazou at gcc dot gnu dot org
  14 siblings, 0 replies; 16+ messages in thread
From: laurent at guerby dot net @ 2005-09-05 19:10 UTC (permalink / raw)
  To: gcc-bugs


------- Additional Comments From laurent at guerby dot net  2005-09-05 19:09 -------
Ok testing:

Index: stack.lst
===================================================================
RCS file: stack.lst
diff -N stack.lst
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ stack.lst   5 Sep 2005 19:08:30 -0000
@@ -0,0 +1,3 @@
+c52103x
+c52104x
+c52104y
Index: run_all.sh
===================================================================
RCS file: /cvs/gcc/gcc/gcc/testsuite/ada/acats/run_all.sh,v
retrieving revision 1.19
diff -u -r1.19 run_all.sh
--- run_all.sh  18 Apr 2005 17:32:56 -0000      1.19
+++ run_all.sh  5 Sep 2005 19:08:30 -0000
@@ -206,6 +206,7 @@
    counti=0
    for i in `cat $dir/tests/$chapter/${chapter}.lst`; do
       counti=`expr $counti + 1`
+
       extraflags=""
       grep $i $testdir/overflow.lst > /dev/null 2>&1
       if [ $? -eq 0 ]; then
@@ -215,6 +216,11 @@
       if [ $? -eq 0 ]; then
          extraflags="$extraflags -gnatE"
       fi
+      grep $i $testdir/stack.lst > /dev/null 2>&1
+      if [ $? -eq 0 ]; then
+         extraflags="$extraflags -fstack-check"
+      fi
+
       test=$dir/tests/$chapter/$i
       mkdir $test && cd $test >> $dir/acats.log 2>&1



-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20548


^ permalink raw reply	[flat|nested] 16+ messages in thread

* [Bug ada/20548] [4.1 Regression] ACATS c52103x c52104x c52104y segfault at runtime on x86_64
  2005-03-19  8:03 [Bug ada/20548] New: ACATS c52103x segfault at runtime on x86_64 laurent at guerby dot net
                   ` (12 preceding siblings ...)
  2005-09-05 19:10 ` laurent at guerby dot net
@ 2005-09-05 22:21 ` laurent at guerby dot net
  2005-09-06  6:16 ` ebotcazou at gcc dot gnu dot org
  14 siblings, 0 replies; 16+ messages in thread
From: laurent at guerby dot net @ 2005-09-05 22:21 UTC (permalink / raw)
  To: gcc-bugs


------- Additional Comments From laurent at guerby dot net  2005-09-05 22:20 -------
-fstack-check doesn't seem to cure the problem, any idea?

Laurent

gnatmake --GCC="/home/guerby/work/gcc/build/build-20050905T211402/gcc/xgcc
-B/home/guerby/work/gcc/build/build-20050905T211402/gcc/" -gnatws -O2
-fstack-check
-I/home/guerby/work/gcc/build/build-20050905T211402/gcc/testsuite/ada/acats/support
c52103x.adb -largs
--GCC="/home/guerby/work/gcc/build/build-20050905T211402/gcc/xgcc
-B/home/guerby/work/gcc/build/build-20050905T211402/gcc/"
/home/guerby/work/gcc/build/build-20050905T211402/gcc/xgcc -c
-B/home/guerby/work/gcc/build/build-20050905T211402/gcc/ -gnatws -O2
-fstack-check
-I/home/guerby/work/gcc/build/build-20050905T211402/gcc/testsuite/ada/acats/support
c52103x.adb
gnatbind -aO./
-I/home/guerby/work/gcc/build/build-20050905T211402/gcc/testsuite/ada/acats/support
-I- -x c52103x.ali
gnatlink c52103x.ali -fstack-check
--GCC=/home/guerby/work/gcc/build/build-20050905T211402/gcc/xgcc
-B/home/guerby/work/gcc/build/build-20050905T211402/gcc/
RUN c52103x

,.,. C52103X ACATS 2.5 05-09-05 22:56:29
---- C52103X CHECK THAT IN ARRAY ASSIGNMENTS AND IN SLICE ASSIGNMENTS,
                THE LENGTHS MUST MATCH; ALSO CHECK WHETHER
                CONSTRAINT_ERROR OR STORAGE_ERROR ARE RAISED FOR LARGE
                ARRAYS.
   - C52103X NO CONSTRAINT_ERROR FOR TYPE WITH 'LENGTH = INTEGER'LAST + 
                3.

raised STORAGE_ERROR : stack overflow detected
FAIL:	c52103x


-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20548


^ permalink raw reply	[flat|nested] 16+ messages in thread

* [Bug ada/20548] [4.1 Regression] ACATS c52103x c52104x c52104y segfault at runtime on x86_64
  2005-03-19  8:03 [Bug ada/20548] New: ACATS c52103x segfault at runtime on x86_64 laurent at guerby dot net
                   ` (13 preceding siblings ...)
  2005-09-05 22:21 ` laurent at guerby dot net
@ 2005-09-06  6:16 ` ebotcazou at gcc dot gnu dot org
  14 siblings, 0 replies; 16+ messages in thread
From: ebotcazou at gcc dot gnu dot org @ 2005-09-06  6:16 UTC (permalink / raw)
  To: gcc-bugs


------- Additional Comments From ebotcazou at gcc dot gnu dot org  2005-09-06 06:16 -------
> -fstack-check doesn't seem to cure the problem, any idea?

Does it not at least prevent the segmentation faults?  Recovering from a
STORAGE_ERROR is another story and doesn't work very well with the FSF compiler.


-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20548


^ permalink raw reply	[flat|nested] 16+ messages in thread

end of thread, other threads:[~2005-09-06  6:16 UTC | newest]

Thread overview: 16+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2005-03-19  8:03 [Bug ada/20548] New: ACATS c52103x segfault at runtime on x86_64 laurent at guerby dot net
2005-03-19 14:43 ` [Bug ada/20548] [4.1 Regression] " pinskia at gcc dot gnu dot org
2005-03-19 14:59 ` laurent at guerby dot net
2005-03-19 15:38 ` ebotcazou at gcc dot gnu dot org
2005-03-19 22:39 ` laurent at guerby dot net
2005-04-04 19:13 ` laurent at guerby dot net
2005-04-08 10:58 ` laurent at guerby dot net
2005-06-11 23:10 ` laurent at guerby dot net
2005-07-09 23:40 ` pinskia at gcc dot gnu dot org
2005-08-25 19:01 ` laurent at guerby dot net
2005-08-29 13:40 ` ebotcazou at gcc dot gnu dot org
2005-09-05 17:54 ` [Bug ada/20548] [4.1 Regression] ACATS c52103x c52104x c52104y " laurent at guerby dot net
2005-09-05 18:04 ` ebotcazou at gcc dot gnu dot org
2005-09-05 19:10 ` laurent at guerby dot net
2005-09-05 22:21 ` laurent at guerby dot net
2005-09-06  6:16 ` ebotcazou at gcc dot gnu dot org

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).